// uses system's "groff" to translate the raw output file to
// the final form ready for editing and sending to the
// registrar's (script) office.
// last changed Sun Dec  4 11:55:05 PST 2005
// to add code to test for existence of "which" and "sed".
// this is mainly for the benefit of windows users.
//
#include "mkevals.h"

void mk_roff_file(string& ofn)
{

    string ofnroff = ofn;
    ofnroff.replace(ofnroff.find(".evs"),5,".roff"); // make "ifn.roff"
                                                     // from "ifn.evs"
    ofstream ofs("tmp");                             // open "tmp"
    int rc = system("which which >& tmp");           // which on system?
    if (rc){
        remove("./tmp");
        err("I did not find the \"which\" command on your system,\n"
            "   so I cannot make the output file.");
    }
    rc = system("which sed >& tmp");                 // sed on system?
    if (rc){
        remove("./tmp");
        err("I did not find the \"sed\" command on your system,\n"
            "   so I cannot make the output file.");
    }
    rc = system("which groff >& tmp" );              // groff on system?
    if (rc){
        remove(ofnroff.c_str());                     // any "ifn.roff"
        remove("./tmp");
        err("I did not find \"groff\" on your system,\n"
            "   but the raw file \"", ofn, "\" is available\n"
            "   for future processing, perhaps with \"groff\"\n"
            "   or \"nroff\", using \"-ms\" macros.");
    }
    else {
        const string nroff_cmd = "groff -Tascii -ms " + ofn + " > tmp";
        rc = system(nroff_cmd.c_str());
        if (rc){
            remove(ofnroff.c_str());
            remove("./tmp");
            err("I could not execute \"groff\" command,\n"
            "   but the raw file \"", ofn, "\" is available\n"
            "   for future processing, perhaps with \"groff\"\n"
            "   or \"nroff\", using \"-ms\" macros.");
        }
        const string sed_cmd = "sed -e \"/./,/^$/!d\" tmp > " + ofnroff;
                                                     // removes extra spaces
                                                     // (from eric pement's
                                                     // sed "one liners")
                                                     // not sure i understand this
        rc = system(sed_cmd.c_str());
        if (rc) {
            remove("./tmp");         // get rid of empty junk
            remove(ofnroff.c_str()); // get rid of empty junk
            err("sed script failure in \"mk_roff_file()\" function.");
        }
        else {
            remove("./tmp");         // remove tmp file
            remove(ofn.c_str());     // remove ".evs" file if groff exists
        }
    }
}
