// prints a brief "help file" on the screen
// note for testing:  the \033[1;32m sequence is ESC[1;32m which should turn
// bold on and make the foreground green; \033[0m (or \033[0;m ?) should
// turn all attributes off.  question:  what works on windows machines?
// maybe \033 is not recognized as ESC by the command prompt?  i took
// the semicolon out of the first \033[0;m below (--> \033[0m) and it
// still works fine on this linux machine.
// (date: Tue Jul 19 11:55:04 PDT 2005)
// on Wed Jul 20 14:21:21 PDT 2005 i removed the other semicolons after
// the "0" in "0;m" for the other instances of this string.  works fine.

#include "mkevals.h"

void prn_info(char** argv)
{
    prn_usage(argv);

    cerr <<
        "   \033[1;32mmkevals\033[0m will form written narrative evaluations using\n"
        "   as an input file the class roster provided by the registrar's\n"
        "   office that contains the list of students enrolled in the\n"
        "   course.  This file must be suitably edited to provide the\n"
        "   numerical data to be used by \033[1;32mmkevals\033[0m.  For additional details,\n"
        "   see the man page (\033[1;32mman mkevals\033[0m), or other documentation\n"
        "   for the \033[1;32mmkevals\033[0m program.\n\n";
#ifdef __GLIBC__
    cerr <<
        "  Options:\n\n"
        "     --help            display this help message\n"
        "     --version         print version number\n"
        "     --plus            allow \"+\" and \"-\" grades\n"
        "     --rank            provide a class ranking by category\n"
        "     --upgrade         discount low early exam scores\n"
        "     --old             accommodate old style class rosters\n"
        "     --debug           show detailed program operation\n\n";
    cerr <<
        "  Single-letter options (try \033[1;32m"
        << argv[0]
        << " -v\033[0m) also exist.\n\n";
#else
    cerr <<
        "  Options:\n\n"
        "     -h         display this help message\n"
        "     -v         print version number\n"
        "     -p         (for \"plus\") allow \"+\" and \"-\" grades\n"
        "     -r         (for \"rank\") provide a class ranking by category\n"
        "     -u         (for \"upgrade\") discount low early exam scores\n"
        "     -o         (for \"old\") accommodate old style class rosters\n"
        "     -d         (for \"debug\") show detailed program operation\n\n";
#endif
}
