//  prints the usage for "mkevals" on the screen
//  on Wed Jul 20 14:24:31 PDT 2005 i removed the semicolons from the
//  "[0;m" (---> "[0m") strings (see also prn_info.c).
//  Mon Jul 25 15:25:38 PDT 2005: introduced basename and chop of .exe

#include "mkevals.h"

void prn_usage(char** argv)
{
    string pgname = basename(argv[0]); // chops long pathname
    string::size_type n = pgname.rfind(".exe");
    if (n < string::npos) {
        pgname.erase(n);               // chops off the ".exe" if it exists
    }

#ifdef __GLIBC__                       // long options present only for linux
    cerr <<
        "\n  Usage: \033[1;32m" <<
        pgname     << "\033[0m"
        " [--help]"
        " [--plus]"
        " [--rank]"
        " [--version]\n"
        "                 [--upgrade]"
        " [--old]"
        " [--debug]"
        " inputfilename\n\n";
#else
    cerr <<
        "\n  Usage: \033[1;32m" <<
        pgname     << "\033[0m"
        " [-hprvuod]"
        " inputfilename\n\n";
#endif
}
