// displays on the monitor a detailed description of the
// grading process
//
#include "mkevals.h"

void show_details(misc* mp, string& name, matrix& bp, \
        vector<dbl>& item, vector<dbl>& wt, vector<uns>& cat)
{
    static off_on flg = on;
    uns k;
    cout.precision(2);
    cout.setf(ios::fixed);
    if (flg){                    // print initial info once only, at top
        cout << "\n  Here are the nine ";
        if (mp->upgrade){
            cout << "initial ";
        }
        cout << "total score breakpoints that\n"
            << "  form the boundaries for the ten total score categories:\n\n"
            << "    ";
        for (k=0 ; k < nbpts ; k++){
            cout << bp[mp->items][k] << "  ";
        }
        cout << "\n";
        if (mp->upgrade){
            cout << "\n  Here, for each student, are the item scores"
                << " and total scores\n"
                << "  with ([weight]:category) for each, first before"
                << " upgrade, then\n"
                << "  after upgrade, along with"
                << " revised total score breakpoints:\n\n";
        }
        else {
            cout << "\n  Here, for each student, are the item scores"
                << " and total scores\n"
                << "  with ([weight]:category) for each:\n\n";
        }
        flg = off;
    }
    cout.setf(ios::left, ios::adjustfield);
    cout << name.c_str() << ":\n "; // c_str() enables correct format
    cout.setf(ios::fixed, ios::left);
    for (k = 0 ; k < mp->items ; k++){
        cout << setw(5) << setprecision(1) << item[k] << "("
            << setprecision(2) << wt[k] << ":" << cat[k] << ") ";
    }
    cout << setw(5) << setprecision(1) << item.back() << "(:"
        << cat.back() << ")";
    cout << "\n";
}

